Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Equation

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.dynamics.EModelRoleSupport
              biouml.model.dynamics.Equation

All Implemented Interfaces:
  EModelRole, ExpressionOwner, Role

public class Equation
extends EModelRoleSupport
implements ExpressionOwner

Pendung:
  replace formula by ru.biosoft.math.model.Expresson

Field Summary
`protected java.lang.String` | `formula`
`protected java.lang.String` | `type`
`static java.lang.String` | `TYPE_ALGEBRAIC`
`static java.lang.String` | `TYPE_CONST`
`static java.lang.String` | `TYPE_INTERNAL`
`static java.lang.String` | `TYPE_RATE`
`static java.lang.String` | `TYPE_SCALAR`
`static java.lang.String` | `TYPE_SCALAR_ALGEBRAIC`
`static java.lang.String` | `TYPE_SCALAR_CONDITIONAL`
`static java.lang.String` | `TYPE_SCALAR_INTERNAL`
`protected java.lang.String` | `units`
`protected java.lang.String` | `variable`

Fields inherited from class biouml.model.dynamics.EModelRoleSupport
`comment`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Equation(DiagramElement de, java.lang.String type, java.lang.String variable)`
`Equation(DiagramElement de, java.lang.String type, java.lang.String variable, java.lang.String formula)`

Method Summary
`Role` | `clone(DiagramElement de)` Creates equation copy and assitiate it with specified diagram element.
`java.lang.String[]` | `getExpressions()` Returns all owned mathematical expressions.
`java.lang.String` | `getFormula()`
`EModelRole` | `getRole()` Return role object essential to variables name resolving.
`java.lang.String` | `getType()`
`java.lang.String` | `getUnits()`
`java.lang.String` | `getVariable()`
`boolean` | `hasDelegate()`
`boolean` | `isExpression(java.lang.String propertyName)` Returns true if property contains string that should be parsed as mathematical expression.
`static boolean` | `isInternal(java.lang.String type)`
`static boolean` | `isScalar(java.lang.String type)`
`void` | `setFormula(java.lang.String formula)`
`void` | `setUnits(java.lang.String units)`
`java.lang.String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`getComment, getDiagramElement, setComment`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_ALGEBRAIC

    public static final java.lang.String TYPE_ALGEBRAIC

See Also:
  Constant Field Values

### TYPE_RATE

    public static final java.lang.String TYPE_RATE

See Also:
  Constant Field Values

### TYPE_SCALAR

    public static final java.lang.String TYPE_SCALAR

See Also:
  Constant Field Values

### TYPE_CONST

    public static final java.lang.String TYPE_CONST

See Also:
  Constant Field Values

### TYPE_SCALAR_CONDITIONAL

    public static final java.lang.String TYPE_SCALAR_CONDITIONAL

See Also:
  Constant Field Values

### TYPE_INTERNAL

    public static final java.lang.String TYPE_INTERNAL

See Also:
  Constant Field Values

### TYPE_SCALAR_INTERNAL

    public static final java.lang.String TYPE_SCALAR_INTERNAL

See Also:
  Constant Field Values

### TYPE_SCALAR_ALGEBRAIC

    public static final java.lang.String TYPE_SCALAR_ALGEBRAIC

See Also:
  Constant Field Values

### type

    protected java.lang.String type

### variable

    protected java.lang.String variable

### formula

    protected java.lang.String formula

### units

    protected java.lang.String units

Constructor Detail

### Equation

    public Equation(DiagramElement de,
                    java.lang.String type,
                    java.lang.String variable)

### Equation

    public Equation(DiagramElement de,
                    java.lang.String type,
                    java.lang.String variable,
                    java.lang.String formula)

Method Detail

### isScalar

    public static final boolean isScalar(java.lang.String type)

### isInternal

    public static final boolean isInternal(java.lang.String type)

### toString

    public java.lang.String toString()

### clone

    public Role clone(DiagramElement de)

  Creates equation copy and assitiate it with specified diagram element.

  Specified by:
    `clone` in interface `Role`
  Overrides:
    `clone` in class `EModelRoleSupport`

### isExpression

    public boolean isExpression(java.lang.String propertyName)

  Description copied from interface: `ExpressionOwner`
  Returns true if property contains string that should be parsed as mathematical expression.

  Specified by:
    `isExpression` in interface `ExpressionOwner`

### getExpressions

    public java.lang.String[] getExpressions()

  Description copied from interface: `ExpressionOwner`
  Returns all owned mathematical expressions. Currently this methods is used to remove unused parameters.

  Specified by:
    `getExpressions` in interface `ExpressionOwner`

### getRole

    public EModelRole getRole()

  Description copied from interface: `ExpressionOwner`
  Return role object essential to variables name resolving.

  Specified by:
    `getRole` in interface `ExpressionOwner`

### getType

    public java.lang.String getType()

### getVariable

    public java.lang.String getVariable()

### hasDelegate

    public boolean hasDelegate()

### getFormula

    public java.lang.String getFormula()

### setFormula

    public void setFormula(java.lang.String formula)

### getUnits

    public java.lang.String getUnits()

### setUnits

    public void setUnits(java.lang.String units)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.